Package biotransformer.btransformers

## Class EnvMicroBTransformer

- java.lang.Object
- - biotransformer.btransformers.Biotransformer
  - - biotransformer.btransformers.EnvMicroBTransformer

    public class EnvMicroBTransformer
    extends Biotransformer

### Field Summary

### Fields inherited from class biotransformer.btransformers.Biotransformer

`bSystem, enzymesByreactionGroups, enzymesList, inchiGenFactory, mapper, reactionsByGroups, reactionsHash, smiGen`

### Constructor Summary

Constructors
`EnvMicroBTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<Biotransformation>` `applyEnvMicrobialTransformations​(org.openscience.cdk.interfaces.IAtomContainer target, boolean preprocess, boolean filter)`
`java.util.ArrayList<Biotransformation>` `applyEnvMicrobialTransformations​(org.openscience.cdk.interfaces.IAtomContainer target, boolean preprocess, boolean filter, double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `applyEnvMicrobialTransformations​(org.openscience.cdk.interfaces.IAtomContainerSet targets, boolean preprocess, boolean filter, double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `applyEnvMicrobialTransformationsChain​(org.openscience.cdk.interfaces.IAtomContainer target, boolean preprocess, boolean filter, int nr_of_steps)`
`java.util.ArrayList<Biotransformation>` `applyEnvMicrobialTransformationsChain​(org.openscience.cdk.interfaces.IAtomContainer target, boolean preprocess, boolean filter, int nr_of_steps, double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `applyReactionsAndReturnBiotransformations​(org.openscience.cdk.interfaces.IAtomContainer target, java.util.ArrayList<MetabolicReaction> reactions, boolean preprocess, boolean filter, java.lang.Double scoreThreshold)`
`void` `printStatistics()`
`java.util.ArrayList<Biotransformation>` `simulateEnvMicrobialDegradation​(org.openscience.cdk.interfaces.IAtomContainerSet containers, boolean preprocess, boolean filter, int nrOfSteps, java.lang.Double scoreThreshold)`
`void` `simulateEnvMicrobialDegradationAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainer container, boolean preprocess, boolean filter, int nrOfSteps, java.lang.Double scoreThreshold, java.lang.String outputFileName, boolean annotate)`
`void` `simulateEnvMicrobialDegradationAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainer container, boolean preprocess, boolean filter, int nrOfSteps, java.lang.Double scoreThreshold, java.lang.String outputFileName, boolean annotate)`
`void` `simulateEnvMicrobialDegradationAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers, boolean preprocess, boolean filter, int nrOfSteps, java.lang.Double scoreThreshold, java.lang.String outputFolder, boolean annotate)`

### Methods inherited from class biotransformer.btransformers.Biotransformer

`applyPathwaySpecificBiotransformationChain, applyPathwaySpecificBiotransformations, applyPathwaySpecificBiotransformations, applyPathwaySpecificBiotransformationsChain, applyPathwaySpecificBiotransformationsChain, applyReactionAndReturnBiotransformations, applyReactionAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionChain, applyReactionChain, applyReactions, applyReactions, applyReactionsAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsFromContainersAndReturnBiotransformations, extractProductsFromBiotransformations, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, generateAllMetabolitesFromAtomContainer, generateAllMetabolitesFromAtomContainer, generateAllMetabolitesFromAtomContainerViaTransformationAtAllLocations, getBioSystemName, getReactionsList, getSmiParser, isValidSubstrate, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzymes, metabolizeWithEnzymes, metabolizeWithEnzymesBreadthFirst, metabolizeWithEnzymesBreadthFirst, metabolizeWithEnzymesDephtFirst, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSDF`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvMicroBTransformer

    public EnvMicroBTransformer()
                         throws java.io.IOException,
                                org.json.simple.parser.ParseException,
                                org.openscience.cdk.exception.CDKException

Throws:
  `org.json.simple.parser.ParseException`
  `java.io.IOException`
  `org.openscience.cdk.exception.CDKException`

### Method Detail

#### applyEnvMicrobialTransformations

    public java.util.ArrayList<Biotransformation> applyEnvMicrobialTransformations​(org.openscience.cdk.interfaces.IAtomContainer target,
                                                                                   boolean preprocess,
                                                                                   boolean filter)
                                                                            throws java.lang.Exception

Parameters:
  `target` - - The molecule to transform
  `preprocess` - - specify whether to perform molecule preprocessing
  `filter` - - apply reaction filtering
Returns:
  an arraylist of biotransformations, which are instances of the environmental microbial reactions applied to the target, with a threshold of 0.0
Throws:
  `java.lang.Exception`

#### applyEnvMicrobialTransformations

    public java.util.ArrayList<Biotransformation> applyEnvMicrobialTransformations​(org.openscience.cdk.interfaces.IAtomContainer target,
                                                                                   boolean preprocess,
                                                                                   boolean filter,
                                                                                   double scoreThreshold)
                                                                            throws java.lang.Exception

Parameters:
  `target` - - The molecule to transform
  `preprocess` - - specify whether to perform molecule preprocessing
  `filter` - - apply reaction filtering
  `scoreThreshold` - - minimum threshold for reaction scores
Returns:
  an arraylist of biotransformations, which are instances of the environmental microbial metabolic reactions applied to the target, with the set minimum threshold
Throws:
  `java.lang.Exception`

#### applyEnvMicrobialTransformations

    public java.util.ArrayList<Biotransformation> applyEnvMicrobialTransformations​(org.openscience.cdk.interfaces.IAtomContainerSet targets,
                                                                                   boolean preprocess,
                                                                                   boolean filter,
                                                                                   double scoreThreshold)
                                                                            throws java.lang.Exception

Parameters:
  `targets` -
  `preprocess` -
  `filter` -
  `scoreThreshold` -
Returns:
  an arraylist of biotransformations, which are instances of the environmental microbial metabolic reactions applied to the target, with the set minimum threshold
Throws:
  `java.lang.Exception`

#### applyEnvMicrobialTransformationsChain

    public java.util.ArrayList<Biotransformation> applyEnvMicrobialTransformationsChain​(org.openscience.cdk.interfaces.IAtomContainer target,
                                                                                        boolean preprocess,
                                                                                        boolean filter,
                                                                                        int nr_of_steps)
                                                                                 throws java.lang.Exception

Parameters:
  `target` - - The molecule to transform
  `preprocess` - - specify whether to perform molecule preprocessing
  `filter` - - apply reaction filtering
  `nr_of_steps` - - number of steps
Returns:
  an arraylist of biotransformations obtained after the specified number of steps (nr_of_steps), which are instances of the environmental microbial metabolic reactions applied to the target, with the minimum threshold of 0.0
Throws:
  `java.lang.Exception`

#### applyEnvMicrobialTransformationsChain

    public java.util.ArrayList<Biotransformation> applyEnvMicrobialTransformationsChain​(org.openscience.cdk.interfaces.IAtomContainer target,
                                                                                        boolean preprocess,
                                                                                        boolean filter,
                                                                                        int nr_of_steps,
                                                                                        double scoreThreshold)
                                                                                 throws java.lang.Exception

Parameters:
  `target` - - The molecule to transform
  `preprocess` - - specify whether to perform molecule preprocessing
  `filter` - - apply reaction filtering
  `nr_of_steps` - - number of steps
Returns:
  an arraylist of biotransformations obtained after the specified number of steps (nr_of_steps), which are instances of the environmental microbial metabolic reactions applied to the target, with the set minimum threshold
Throws:
  `java.lang.Exception`

#### simulateEnvMicrobialDegradationAndSaveToSDF

    public void simulateEnvMicrobialDegradationAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainer container,
                                                            boolean preprocess,
                                                            boolean filter,
                                                            int nrOfSteps,
                                                            java.lang.Double scoreThreshold,
                                                            java.lang.String outputFileName,
                                                            boolean annotate)
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateEnvMicrobialDegradationAndSaveToCSV

    public void simulateEnvMicrobialDegradationAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainer container,
                                                            boolean preprocess,
                                                            boolean filter,
                                                            int nrOfSteps,
                                                            java.lang.Double scoreThreshold,
                                                            java.lang.String outputFileName,
                                                            boolean annotate)
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateEnvMicrobialDegradation

    public java.util.ArrayList<Biotransformation> simulateEnvMicrobialDegradation​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                                                  boolean preprocess,
                                                                                  boolean filter,
                                                                                  int nrOfSteps,
                                                                                  java.lang.Double scoreThreshold)
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateEnvMicrobialDegradationAndSaveToSDF

    public void simulateEnvMicrobialDegradationAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                            boolean preprocess,
                                                            boolean filter,
                                                            int nrOfSteps,
                                                            java.lang.Double scoreThreshold,
                                                            java.lang.String outputFolder,
                                                            boolean annotate)
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### applyReactionsAndReturnBiotransformations

    public java.util.ArrayList<Biotransformation> applyReactionsAndReturnBiotransformations​(org.openscience.cdk.interfaces.IAtomContainer target,
                                                                                            java.util.ArrayList<MetabolicReaction> reactions,
                                                                                            boolean preprocess,
                                                                                            boolean filter,
                                                                                            java.lang.Double scoreThreshold)
                                                                                     throws java.lang.Exception

Overrides:
  `applyReactionsAndReturnBiotransformations` in class `Biotransformer`
Throws:
  `java.lang.Exception`

#### printStatistics

    public void printStatistics()